Subject: RE: [Mipshop] MIPSHOP discussion on new items and milestones

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 16 Mar 2005 14:22:48 -0500

I'm not sure why. It seems at least as mature as the rest of the items on
the list. 

 > -----Original Message-----
 > From: James Kempf [mailto:[email-masked]]
 > Sent: Wednesday, March 16, 2005 2:21 PM
 > To: Soliman, Hesham; gabriel montenegro; [email-masked]
 > Subject: Re: [Mipshop] MIPSHOP discussion on new items and milestones
 > 
 > 
 > I think this needs consideration in MOBOPTS first.
 > 
 >             jak
 > 
 > ----- Original Message ----- 
 > From: "Soliman, Hesham" <[email-masked]>
 > To: "gabriel montenegro" <[email-masked]>; <[email-masked]>
 > Sent: Wednesday, March 16, 2005 10:39 AM
 > Subject: RE: [Mipshop] MIPSHOP discussion on new items and milestones
 > 
 > 
 > > Comments?
 > 
 > => I think the items you listed all seem reasonable. Of 
 > course we need to
 > discuss
 > priorities. However, I would add the following item:
 > 
 > - Work on proposals for integrating FMIPv6 and HMIPv6. There 
 > are already
 > drafts on this and previous discussions in MIP (before the 
 > split). I thnik
 > the community will benefit from this, instead of providing 
 > two independent
 > solutions that provide different optimisations but cannot coexist
 > efficiently.
 > I think this is more important than the RR optimisations items.
 > 
 > Hesham
 > 
 >  >
 >  > -gabriel
 >  >
 >  > _______________________________________________
 >  > Mipshop mailing list
 >  > [email-masked]
 >  > https://www1.ietf.org/mailman/listinfo/mipshop
 >  >
 > 
 > ===========================================================
 > This email may contain confidential and privileged material 
 > for the sole use
 >  of the intended recipient.  Any review or distribution by others is
 > strictly
 >  prohibited.  If you are not the intended recipient please 
 > contact the
 > sender
 >  and delete all copies.
 > ===========================================================
 > 
 > 
 > _______________________________________________
 > Mipshop mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/mipshop
 > 
 > 
 > 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: "James Kempf" <[email-masked]>
Date: Wed, 16 Mar 2005 11:47:40 -0800

Primarily security. The HMIP draft requires an IPsec SA between the MN and
MAP. The MAP is typically located in a foreign network, into which the MN
has roamed. Now, there are a couple ways the MN could authenticate itself to
the foreign network MAP to set up the SA. With IKEv2, it could use EAP, but
assuming that the MN is provisioned with AAA credentials for every foreign
network with which the home service provider has a roaming agreement is a
bit of a stretch. The MN could authenticate back through the foreign MAP to
the home network, but it would have to do this every time it moved to a new
MAP, which could be very slow, thus limiting the topological deployment span
of the MAP to a very high level.. Alternatively, the MN and MAP could do a
full certificate exchange, but this requires provisioning a public key
certificate on the MN, something that has, as yet, proven elusive as Jari's
talk at IETF 62 mentioned. Have I missed any others? So I think practical
security for host-based localized mobility management (such as HMIP does) is
still very much an open issue, which is why these drafts were made
experimental in the first place.

The situation with FMIP is somewhat different. There is one draft already on
how to do security (handover key using SEND) and another on the way that
will describe how to use the EAP keying hierarchy derived from the 802.11
three party security model. Both are based on past experience with security
techniques that look practical and deployable. So we have a couple security
solutions lined up. Even given that, I still believe there is some design
work required on FMIP to tease out the PrxyRtXXX messages, as I mentioned in
another posting, and I'd prefer to see that done in MOBOPTS.

Finally, it seems as if CDMA2K is interested in deploying FMIP (if rumors
are true, I'd really like to see someone from 3GPP2 actually substantiate
this, like with a liason letter), whereas I haven't heard from anyone about
interest in deploying HMIP (which doesn't of course mean that there isn't
such interest).

            jak

----- Original Message ----- 
From: "Soliman, Hesham" <[email-masked]>
To: "James Kempf" <[email-masked]>; "gabriel montenegro"
<[email-masked]>; <[email-masked]>
Sent: Wednesday, March 16, 2005 11:22 AM
Subject: RE: [Mipshop] MIPSHOP discussion on new items and milestones

---

From: Greg Daley <[email-masked]>
Date: Tue, 29 Mar 2005 11:45:45 +1000

Hi James,

Sorry to reply so late, I was travelling, and then on vacation.

James Kempf wrote:
[cut]
> interest in deploying HMIP (which doesn't of course mean that there isn't

I've heard of one potential deployment for HMIPv6.

I'm not able to divulge where I heard it from, though.

Greg